Debian Bug report logs - #639733
wordpress: Wordpress breaks TinyMCE install

version graph

Package: wordpress; Maintainer for wordpress is Craig Small <csmall@debian.org>; Source for wordpress is src:wordpress.

Reported by: Laurens Blankers <laurens@blankersfamily.com>

Date: Mon, 29 Aug 2011 18:51:02 UTC

Severity: critical

Tags: moreinfo, unreproducible

Found in version wordpress/3.2.1+dfsg-1

Fixed in version wordpress/3.2.1+dfsg-2

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#639733; Package wordpress. (Mon, 29 Aug 2011 18:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurens Blankers <laurens@blankersfamily.com>:
New Bug report received and forwarded. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 29 Aug 2011 18:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurens Blankers <laurens@blankersfamily.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wordpress: Wordpress breaks TinyMCE install
Date: Mon, 29 Aug 2011 20:43:37 +0200
Package: wordpress
Version: 3.2.1+dfsg-1
Severity: critical
Justification: breaks unrelated software

Upgrading from 3.0.5+dfsg-1 to 3.2.1+dfsg-1 causes plugin files to be written to

/usr/share/tinymce 

which is partily symlinked from 

/usr/share/wordpress/wp-includes/js/tinymce/

this in turns causes TinyMCE to BREAK on Firefox 6 and Chrome 13. Which in turn
breaks applications such as Roundcube hence the critical severity.

Wordpress should NEVER write files in another packages directory!

The only way to fix this is to force the removal of tinymce manually delete the
directory and then reinstall tinymce.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.0.0-1-686-pae (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages wordpress depends on:
ii  apache2-mpm-prefork  2.2.19-1            Apache HTTP Server - traditional n
ii  libapache2-mod-php5  5.3.6-13            server-side, HTML-embedded scripti
ii  libjs-cropper        1.2.1-2             JavaScript image cropper UI
ii  libjs-jquery         1.6.2-1             JavaScript library for dynamic web
ii  libjs-jquery-form    4-1                 jQuery Form Plugin
ii  libjs-jquery-ui      1.8.ooops.14+dfsg-1 JavaScript UI library for dynamic 
ii  libjs-prototype      1.7.0-2             JavaScript Framework for dynamic w
ii  libjs-scriptaculous  1.9.0-2             JavaScript library for dynamic web
ii  libphp-phpmailer     5.1-1               full featured email transfer class
ii  libphp-simplepie     1.2-3               RSS and Atom feed parsing in PHP
ii  libphp-snoopy        1.2.4-2             Snoopy is a PHP class that simulat
ii  mysql-client-5.1 [my 5.1.58-1            MySQL database client binaries
ii  php5                 5.3.6-13            server-side, HTML-embedded scripti
ii  php5-gd              5.3.6-13            GD module for php5
ii  php5-mysql           5.3.6-13            MySQL module for php5
ii  tinymce              3.4.3.2+dfsg0-1     platform independent web based Jav

Versions of packages wordpress recommends:
ii  wordpress-l10n              3.2.1+dfsg-1 weblog manager - language files

Versions of packages wordpress suggests:
ii  mysql-server-5.1 [mysql-serve 5.1.58-1   MySQL database server binaries and

-- Configuration Files:
/etc/wordpress/wp-config.php changed [not included]

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#639733; Package wordpress. (Tue, 30 Aug 2011 09:34:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Tue, 30 Aug 2011 09:34:24 GMT) Full text and rfc822 format available.

Message #10 received at 639733@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Laurens Blankers <laurens@blankersfamily.com>, 639733@bugs.debian.org
Cc: Debian Bug Control <control@bugs.debian.org>
Subject: Re: Bug#639733: wordpress: Wordpress breaks TinyMCE install
Date: Tue, 30 Aug 2011 11:28:30 +0200
[Message part 1 (text/plain, inline)]
tags 639733 moreinfo unreproducible
thanks

Hi,


On 08/29/2011 08:43 PM, Laurens Blankers wrote:
> Upgrading from 3.0.5+dfsg-1 to 3.2.1+dfsg-1 causes plugin files to be written to
> 
> /usr/share/tinymce 
> 
> which is partily symlinked from 
> 
> /usr/share/wordpress/wp-includes/js/tinymce/
> 
> this in turns causes TinyMCE to BREAK on Firefox 6 and Chrome 13. Which in turn
> breaks applications such as Roundcube hence the critical severity.
> 
> Wordpress should NEVER write files in another packages directory!
> 
> The only way to fix this is to force the removal of tinymce manually delete the
> directory and then reinstall tinymce.


I can't reproduce this, could you show me which plugins are written in
/usr/share/tinymce please?


Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) unreproducible and moreinfo. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Tue, 30 Aug 2011 09:34:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#639733; Package wordpress. (Tue, 30 Aug 2011 16:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurens Blankers <laurens@blankersfamily.com>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Tue, 30 Aug 2011 16:36:03 GMT) Full text and rfc822 format available.

Message #17 received at 639733@bugs.debian.org (full text, mbox):

From: Laurens Blankers <laurens@blankersfamily.com>
To: Giuseppe Iuculano <giuseppe@iuculano.it>
Cc: 639733@bugs.debian.org
Subject: Re: Bug#639733: wordpress: Wordpress breaks TinyMCE install
Date: Tue, 30 Aug 2011 18:25:05 +0200
[Message part 1 (text/plain, inline)]
Hi,
> I can't reproduce this, could you show me which plugins are written in
> /usr/share/tinymce please?
This is a listing from /usr/share/wordpress/wp-includes/js/tinymce/plugins:
 
lrwxrwxrwx 1 root root   49 Aug  2  2009 directionality ->
../../../../../tinymce/www/plugins/directionality
lrwxrwxrwx 1 root root   45 Aug  2  2009 fullscreen ->
../../../../../tinymce/www/plugins/fullscreen
lrwxrwxrwx 1 root root   43 Sep  7  2009 inlinepopups ->
/usr/share/tinymce/www/plugins/inlinepopups
lrwxrwxrwx 1 root root   40 Aug  2  2009 media ->
../../../../../tinymce/www/plugins/media
lrwxrwxrwx 1 root root   40 Aug  2  2009 paste ->
../../../../../tinymce/www/plugins/paste
drwxr-xr-x 4 root root 4096 Aug 28 17:38 spellchecker
lrwxrwxrwx 1 root root   39 Sep  7  2009 tabfocus ->
/usr/share/tinymce/www/plugins/tabfocus
drwxr-xr-x 4 root root 4096 Aug 28 17:38 wordpress
drwxr-xr-x 3 root root 4096 Aug 28 17:38 wpdialogs
drwxr-xr-x 5 root root 4096 Aug 28 17:38 wpeditimage
drwxr-xr-x 3 root root 4096 Aug 28 17:38 wpfullscreen
drwxr-xr-x 3 root root 4096 Aug 28 17:38 wpgallery
drwxr-xr-x 5 root root 4096 Aug 28 17:38 wplink
 
The symlinks were created by previous installs of Wordpress. Looking at
the content of the .deb it seems that all the symlinked plugins are
actually overwritten, so directionality, fullscreen, inlinepopups, media
and tabfocus. This might be the case for files other than plugins as
well, I am not sure.
 
Laurens

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#639733; Package wordpress. (Tue, 04 Oct 2011 11:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mikko Visa <mikko.visa@iki.fi>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Tue, 04 Oct 2011 11:18:08 GMT) Full text and rfc822 format available.

Message #22 received at 639733@bugs.debian.org (full text, mbox):

From: Mikko Visa <mikko.visa@iki.fi>
To: 639733@bugs.debian.org
Subject: Re: Bug#639733: wordpress: Wordpress breaks TinyMCE install
Date: Tue, 4 Oct 2011 14:15:04 +0300
I've experienced this as well, no idea though what caused it. It was
fixed by removing tinymce, deleting /usr/share/tinymce manually (some
files were still left after dpkg --purge) and reinstalling it.

After this the graphical post editor in Wordpress started working as usual.

.m




Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 22 Oct 2011 16:51:06 GMT) Full text and rfc822 format available.

Notification sent to Laurens Blankers <laurens@blankersfamily.com>:
Bug acknowledged by developer. (Sat, 22 Oct 2011 16:51:06 GMT) Full text and rfc822 format available.

Message #27 received at 639733-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 639733-close@bugs.debian.org
Subject: Bug#639733: fixed in wordpress 3.2.1+dfsg-2
Date: Sat, 22 Oct 2011 16:50:07 +0000
Source: wordpress
Source-Version: 3.2.1+dfsg-2

We believe that the bug you reported is fixed in the latest version of
wordpress, which is due to be installed in the Debian FTP archive:

wordpress-l10n_3.2.1+dfsg-2_all.deb
  to main/w/wordpress/wordpress-l10n_3.2.1+dfsg-2_all.deb
wordpress_3.2.1+dfsg-2.debian.tar.gz
  to main/w/wordpress/wordpress_3.2.1+dfsg-2.debian.tar.gz
wordpress_3.2.1+dfsg-2.dsc
  to main/w/wordpress/wordpress_3.2.1+dfsg-2.dsc
wordpress_3.2.1+dfsg-2_all.deb
  to main/w/wordpress/wordpress_3.2.1+dfsg-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 639733@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated wordpress package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 22 Oct 2011 17:01:25 +0200
Source: wordpress
Binary: wordpress wordpress-l10n
Architecture: source all
Version: 3.2.1+dfsg-2
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 wordpress  - weblog manager
 wordpress-l10n - weblog manager - language files
Closes: 639733
Changes: 
 wordpress (3.2.1+dfsg-2) unstable; urgency=low
 .
   * [af74ce2] Add a preinst to drop symlinks to directories for tinymce
     and cropper. The new dh_linktree only symlinks files and hierarchies are
     duplicated. So we have to drop symlinks to directories in the preinst,
     otherwise dpkg installs the new symlinks in the tinymce/cropper
     directories instead of in the wordpress ones.
     Also drop the upgrade code in the postinst converting the same directories
     into symlinks... (Closes: #639733)
   * [0b51c4f] Invite users affected by #639733 to reinstall
     tinymce/libjs-cropper.
   * [55af033] Fix invalid test in postinst (upgrade → configure)
     "upgrade" is not a valid parameter in the postinst. Instead
     we get "configure".
Checksums-Sha1: 
 7f9c27db8cdfdb943f000c9976f7b570d995eb1e 2268 wordpress_3.2.1+dfsg-2.dsc
 75f01a1d40a793bbc10456aa55bdc403559fe3f9 7356084 wordpress_3.2.1+dfsg-2.debian.tar.gz
 03570d2328ad1092ad85859340c561aa389feb0e 3226632 wordpress_3.2.1+dfsg-2_all.deb
 63d61389216fc69d130b5c09af83081ace042d17 6537216 wordpress-l10n_3.2.1+dfsg-2_all.deb
Checksums-Sha256: 
 1f274c3486c2db8202eb67858894d83f6636bc6ab49add5f82b9b4d1a20269c2 2268 wordpress_3.2.1+dfsg-2.dsc
 a3362461a5732157de8e2b8b983db337dd66928c09f796866395374c5fff54ec 7356084 wordpress_3.2.1+dfsg-2.debian.tar.gz
 b4b80c29cb906fd5be1152be77714f4c6103461a2d4f5a8a34a2556977022507 3226632 wordpress_3.2.1+dfsg-2_all.deb
 074021fd2493c3b82d410f131187e442b16c7bbdbfd2828674be537d2a0e0acc 6537216 wordpress-l10n_3.2.1+dfsg-2_all.deb
Files: 
 c166eb6f399541475414d466704b5415 2268 web optional wordpress_3.2.1+dfsg-2.dsc
 aed8cdc69eeb6bf08456d98dc3f4d63e 7356084 web optional wordpress_3.2.1+dfsg-2.debian.tar.gz
 6bb72a8def34d5eafac1aede23b3536c 3226632 web optional wordpress_3.2.1+dfsg-2_all.deb
 6fcea776c47daf63d4c0a25bec7d4634 6537216 localization optional wordpress-l10n_3.2.1+dfsg-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJOovDLAAoJEOYZBF3yrHKazC0QALEHyxwWJWMytoVsc3Mn3CMG
drwZRi4QDEb22WRtzesJnel/C1qEZFBzaMygz6sxh6vKzNNIaF1hdIADcAez/ZKp
Ja9c/PTdPxsv3V5zuJV4iJ/Mc5anHUJUyL95MGui2ZPKSgyE8TZdY7uNAq+s0/OT
c82aMYNvaX5jpq09TA8fX522efo57UTCfuzCpt8xvqdwDRD3sMAB0V8bTQcAQB7s
rwlmEQmcFLLUcp13DgPcAAJ3xkY8/QyYmuEJCYLcu/2ZzI1/d4jqqgvNcapSJWCp
x4RAZknzJatVbHFC3xpOYvdvVFaUb5upjqd68CPBHsC+P0VjgL7OVYbUiJO2Xl99
yl6EUJi57RzUSMo2QJxd+oqiDqjwcPnMVNq8hbWCAcIF5nRej8PtZF8OOiZ8ZaYa
qfQrxqv7MQrPKucd1V4oNvAr3QFO/gHQk9a6PXpCf22qGiCZxvbw+N20ctg0mBie
hlmYqgQgV/nLEvTRJoWoLPIPXyQzwuxx7BnxeBj3gdiIvPolFx+9mtrrZaHcg9d7
gwL424nwd2cbm0WqV0BaxV1hedwV6OBXu2y2+mSR2rtAokFEozU6FVl2cRXrPkxY
sdbOpBjXmTEKVKFzdsyJTPLmnMXgBGDucz9PXjceRw3RkY+2abXjepMYaXPnqwCp
LTqeF7mzfgbVjxbuE75F
=zwiU
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#639733; Package wordpress. (Sun, 13 Nov 2011 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Douglas Bagnall <douglas@paradise.net.nz>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Sun, 13 Nov 2011 10:30:06 GMT) Full text and rfc822 format available.

Message #32 received at 639733@bugs.debian.org (full text, mbox):

From: Douglas Bagnall <douglas@paradise.net.nz>
To: 639733@bugs.debian.org
Subject: Warning message refers to wrong bug (xxx773, not xxx733)
Date: Sun, 13 Nov 2011 22:52:08 +1300
I got these warnings:

-----
Setting up wordpress (3.2.1+dfsg-3) ...
WARNING: You have been affected by http://bugs.debian.org/639773
you should reinstall tinymce.
WARNING: You have been affected by http://bugs.debian.org/639773
you should reinstall libjs-cropper.
-----

and was a little confused to be reading an unconfirmed LVM bug
report.

I believe it should read http://bugs.debian.org/639733.

regards,
Douglas Bagnall





Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#639733; Package wordpress. (Mon, 14 Nov 2011 08:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Mon, 14 Nov 2011 08:15:06 GMT) Full text and rfc822 format available.

Message #37 received at 639733@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Douglas Bagnall <douglas@paradise.net.nz>, 639733@bugs.debian.org
Subject: Re: Bug#639733: Warning message refers to wrong bug (xxx773, not xxx733)
Date: Mon, 14 Nov 2011 09:10:05 +0100
On Sun, 13 Nov 2011, Douglas Bagnall wrote:
> I got these warnings:
> 
> -----
> Setting up wordpress (3.2.1+dfsg-3) ...
> WARNING: You have been affected by http://bugs.debian.org/639773
> you should reinstall tinymce.
> WARNING: You have been affected by http://bugs.debian.org/639773
> you should reinstall libjs-cropper.
> -----
> 
> and was a little confused to be reading an unconfirmed LVM bug
> report.
> 
> I believe it should read http://bugs.debian.org/639733.

Right, thanks for notifying me. I fixed it in my Git tree. Will be fixed
in the next upload.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Dec 2011 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:59:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.